org.freedesktop.icons

## Class CategoryIcon

- Object
- - org.freedesktop.icons.Icon
  - - org.freedesktop.icons.CategoryIcon

-     public class CategoryIcon
      extends Icon

  Named icons representing application categories.
  Since:
    4.0.17
  Author:
    Guillaume Mazoyer, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icon` | `APPLICATIONS_ACCESSORIES`
    `static Icon` | `APPLICATIONS_DEVELOPMENT`
    `static Icon` | `APPLICATIONS_ENGINEERING`
    `static Icon` | `APPLICATIONS_GAMES`
    `static Icon` | `APPLICATIONS_GRAPHICS`
    `static Icon` | `APPLICATIONS_INTERNET`
    `static Icon` | `APPLICATIONS_MULTIMEDIA`
    `static Icon` | `APPLICATIONS_OFFICE`
    `static Icon` | `APPLICATIONS_OTHER`
    `static Icon` | `APPLICATIONS_SCIENCE`
    `static Icon` | `APPLICATIONS_SYSTEM`
    `static Icon` | `APPLICATIONS_UTILITIES`
    `static Icon` | `PREFERENCES_DESKTOP`
    `static Icon` | `PREFERENCES_DESKTOP_PERIPHERALS`
    `static Icon` | `PREFERENCES_DESKTOP_PERSONAL`
    `static Icon` | `PREFERENCES_OTHER`
    `static Icon` | `PREFERENCES_SYSTEM`
    `static Icon` | `PREFERENCES_SYSTEM_NETWORK`
    `static Icon` | `SYSTEM_HELP`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATIONS_ACCESSORIES

          public static final Icon APPLICATIONS_ACCESSORIES

    - #### APPLICATIONS_DEVELOPMENT

          public static final Icon APPLICATIONS_DEVELOPMENT

    - #### APPLICATIONS_ENGINEERING

          public static final Icon APPLICATIONS_ENGINEERING

    - #### APPLICATIONS_GAMES

          public static final Icon APPLICATIONS_GAMES

    - #### APPLICATIONS_GRAPHICS

          public static final Icon APPLICATIONS_GRAPHICS

    - #### APPLICATIONS_INTERNET

          public static final Icon APPLICATIONS_INTERNET

    - #### APPLICATIONS_MULTIMEDIA

          public static final Icon APPLICATIONS_MULTIMEDIA

    - #### APPLICATIONS_OFFICE

          public static final Icon APPLICATIONS_OFFICE

    - #### APPLICATIONS_OTHER

          public static final Icon APPLICATIONS_OTHER

    - #### APPLICATIONS_SCIENCE

          public static final Icon APPLICATIONS_SCIENCE

    - #### APPLICATIONS_SYSTEM

          public static final Icon APPLICATIONS_SYSTEM

    - #### APPLICATIONS_UTILITIES

          public static final Icon APPLICATIONS_UTILITIES

    - #### PREFERENCES_DESKTOP

          public static final Icon PREFERENCES_DESKTOP

    - #### PREFERENCES_DESKTOP_PERIPHERALS

          public static final Icon PREFERENCES_DESKTOP_PERIPHERALS

    - #### PREFERENCES_DESKTOP_PERSONAL

          public static final Icon PREFERENCES_DESKTOP_PERSONAL

    - #### PREFERENCES_OTHER

          public static final Icon PREFERENCES_OTHER

    - #### PREFERENCES_SYSTEM

          public static final Icon PREFERENCES_SYSTEM

    - #### PREFERENCES_SYSTEM_NETWORK

          public static final Icon PREFERENCES_SYSTEM_NETWORK

    - #### SYSTEM_HELP

          public static final Icon SYSTEM_HELP